Bug 682098 - kernel panic when boot guest with virtio blk after boot guest with ide blk
kernel panic when boot guest with virtio blk after boot guest with ide blk
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.7
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2011-03-04 00:51 EST by Shirley Zhou
Modified: 2015-03-04 19:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 00:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (21.89 KB, image/png)
2011-03-04 00:54 EST, Shirley Zhou
no flags Details

  None (edit)
Description Shirley Zhou 2011-03-04 00:51:20 EST
Description of problem:
Install RHEL5.6 guest with virtio block, then shutdown this guest after installation finish, then start this guest with ide block, then start guest with virtio block, guest kernel panic.

Version-Release number of selected component (if applicable):
kernel-2.6.18-238.5.1.el5

How reproducible:
100%

Steps to Reproduce:
1.install guest with virtio block
2.shutdown guest after guest finish  installation
3.start guest with ide block
4. shutdown guest, start guest with virtio block 
  
Actual results:
after step 4, guest become kernel panic as attached screen shot, guest can not boot up.

Expected results:
Guest should boot ok

Additional info:
Comment 1 Shirley Zhou 2011-03-04 00:54:13 EST
Created attachment 482227 [details]
screen shot
Comment 2 FuXiangChun 2011-06-09 07:37:36 EDT
tested on

host info:
# uname -r
2.6.32-156.el6.x86_64
#rpm -qa|grep kvm
qemu-kvm-0.12.1.2-2.164.el6.x86_64

guest info:
# uname -r
2.6.18-267.el5

steps to test:
1.install guest with virtio block

/usr/libexec/qemu-kvm -m 4G -smp 2 -usbdevice tablet -drive file=rhel5.7-64,if=none,id=drive-virtio0,werror=stop,rerror=stop,cache=none -boot c -device virtio-blk-pci,drive=drive-virtio0,id=virtio-blk-pci0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=02:00:ff:3F:2f:1f,bus=pci.0 -uuid `uuidgen` -name rhel57 -cdrom RHEL-Server-5.7-x86_64-DVD -monitor stdio -vnc :1

2.shutdown guest after guest finish  installation
3.start guest with ide block

/usr/libexec/qemu-kvm -m 10G -smp 4,sockets=2,cores=2,threads=1 -name tt -uuid `uuidgen` -boot c -drive file=/usr/tools/rhel6-3-1.raw,if=none,id=drive-ide0-0-0,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -net nic,macaddr=20:43:50:12:23:21,model=virtio,vlan=2 -net tap,script=/etc/qemu-ifup,vlan=2 -vnc :3 -monitor stdio


4. shutdown guest, start guest with virtio block

/usr/libexec/qemu-kvm -m 4G -smp 2 -usbdevice tablet -drive file=rhel5.7-64,if=none,id=drive-virtio0,werror=stop,rerror=stop,cache=none -boot c -device virtio-blk-pci,drive=drive-virtio0,id=virtio-blk-pci0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=02:00:ff:3F:2f:1f,bus=pci.0 -uuid `uuidgen` -name rhel57  -monitor stdio -vnc :1 

Actual results:
guest can boot successful

Based on above ,this bug can not be reproduced in host 6.1.
Comment 3 juzhang 2011-06-10 00:31:29 EDT
According to comment1, close this issue as worksforeme,if anybody hit this issue again,please re-open it.

Note You need to log in before you can comment on or make changes to this bug.